## Package org.biojava.ontology

A general-purpose API for ontologies.

See:
Description

Interface Summary
Ontology: An ontology.
OntologyFactory: A factory for Ontology instances.
OntologyOps: This is an interface for optimizing ontology operators.
OntologyTerm: A term in an ontology which identifies another ontology.
RemoteTerm: A term in another ontology.
Term: A term in an ontology.
Triple: A triple in an ontology.
Variable

Class Summary
AbstractTerm: Abstract implementation of term This provides basic change-forwarding functionality from the annotation and ontology properties.
DefaultOps: Default implementation of OntologyOps.
IntegerOntology
Ontology.Impl: A basic in-memory implementation of an ontology
OntologyTerm.Impl: Simple in-memory implementation of a remote ontology term.
OntoTools: Tools for manipulating ontologies.
RemoteTerm.Impl: Simple in-memory implementation of a remote ontology term.
Synonym
Term.Impl: Simple in-memory implementation of an ontology term.
Triple.Impl: Basic in-memory implementation of a Triple in an ontology This can be used to implement Ontology.createTriple
Variable.Impl

Exception Summary
AlreadyExistsException: Thrown to indicate that a term or triple can't be added to an ontology because it is already present.
InvalidTermException: Thrown to indicate that an ontology term is not acceptable or appropriate in a given context
OntologyException: Thrown to indicate an error in an Ontology object

## Package org.biojava.ontology Description

A general-purpose API for ontologies. These are directed graphs consisting of `Term` obects. Each edge in the graph is annotated with a term which defines the relationship between its subject and object terms. In this API, these annotated edges are called triples.

Some interfaces and implementations from this package are extended in `biojavax` to better facilitate their persistence to biosql.